# MaxScale by MariaDB Corporation

[![Build Status](https://travis-ci.org/mariadb-corporation/MaxScale.svg?branch=develop)](https://travis-ci.org/mariadb-corporation/MaxScale)

The MariaDB Corporation MaxScale is an intelligent proxy that allows
forwarding of database statements to one or more database servers using
complex rules, a semantic understanding of the database statements and the
roles of the various servers within the backend cluster of databases.

MaxScale is designed to provide load balancing and high availability
functionality transparently to the applications. In addition it provides
a highly scalable and flexible architecture, with plugin components to
support different protocols and routing decisions.

For a detailed overview of what MaxScale can do, read the
[MaxScale page on the MariaDB website](https://mariadb.com/products/technology/maxscale).

An Google Group exists for MaxScale that can be used to discuss ideas,
issues and communicate with the MaxScale community.

- Email: maxscale@googlegroups.com
- Forum: http://groups.google.com/forum/#!forum/maxscale

We're also on the #maria and #maxscale channels on FreeNode.

Please report all feature requests, improvements and bugs in the [MariaDB Jira](https://jira.mariadb.org/projects/MXS/issues).

# Getting Started

Read the [Documentation Overview](Documentation/Documentation-Contents.md) for a
list of all MaxScale documents.

- [Installing MaxScale](Documentation/Getting-Started/MariaDB-MaxScale-Installation-Guide.md)
- [Setting up MariaDB MaxScale](Documentation/Tutorials/MaxScale-Tutorial.md)
- [Building from Source Code](Documentation/Getting-Started/Building-MaxScale-from-Source-Code.md)
- [Other Tutorials](Documentation/Documentation-Contents.md#tutorials)

# Documentation

The official documentation can be found on the
[MariaDB Knowledge Base](https://mariadb.com/kb/en/mariadb-enterprise/maxscale/).

A MaxScale Troubleshooting Guide can be found on the MariaDB Knowledgebase. It
answers common questions encountered when installing and using MaxScale.

The documentation can also be found in the
[Documentation](Documentation/Documentation-Contents.md) directory of the
source tree.

# Contributing Code

Read the [Contributing](https://github.com/mariadb-corporation/MaxScale/wiki/Contributing)
page on the wiki for more information on how to do pull request and where to do
them.
